## Generated SDC file "bts_hsmc_lvds.out.sdc"

## Copyright (C) 1991-2015 Altera Corporation. All rights reserved.
## Your use of Altera Corporation's design tools, logic functions 
## and other software and tools, and its AMPP partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Altera Program License 
## Subscription Agreement, the Altera Quartus II License Agreement,
## the Altera MegaCore Function License Agreement, or other 
## applicable license agreement, including, without limitation, 
## that your use is for the sole purpose of programming logic 
## devices manufactured by Altera and sold by Altera or its 
## authorized distributors.  Please refer to the applicable 
## agreement for further details.


## VENDOR  "Altera"
## PROGRAM "Quartus II"
## VERSION "Version 15.0.0 Build 139 03/11/2015 Patches 0.02zb SJ Full Version"

## DATE    "Wed Mar 25 19:12:05 2015"

##
## DEVICE  "10M50DAF484C6GES"
##


#**************************************************************
# Time Information
#**************************************************************

set_time_format -unit ns -decimal_places 3



#**************************************************************
# Create Clock
#**************************************************************

create_clock -name {altera_reserved_tck} -period 40.000 -waveform { 0.000 20.000 } [get_ports {altera_reserved_tck}]
create_clock -name {clk_50_max10} -period 20.000 -waveform { 0.000 10.000 } [get_ports {clk_50_max10}]
create_clock -name {clk_25_max10} -period 40.000 -waveform { 0.000 20.000 } [get_ports {clk_25_max10}]
create_clock -name {clk_ddr3_100_p} -period 10.000 -waveform { 0.000 5.000 } [get_ports {clk_ddr3_100_p}]
create_clock -name {clk_lvds_125_p} -period 8.000 -waveform { 0.000 4.000 } [get_ports {clk_lvds_125_p}]
create_clock -name {hsmc_clk_in_p2} -period 3.200 -waveform { 0.000 1.600 } [get_ports {hsmc_clk_in_p[2]}]
create_clock -name {virt_clk} -period 3.200 -waveform { 0.000 1.600 } 


#**************************************************************
# Create Generated Clock
#**************************************************************

create_generated_clock -name {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]} -source [get_pins {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|inclk[0]}] -duty_cycle 50.000 -multiply_by 5 -divide_by 2 -phase -90.000 -master_clock {clk_lvds_125_p} [get_pins {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] 
create_generated_clock -name {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]} -source [get_pins {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|inclk[0]}] -duty_cycle 50.000 -multiply_by 5 -divide_by 8 -phase -22.500 -master_clock {clk_lvds_125_p} [get_pins {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] 


#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************

set_clock_uncertainty -rise_from [get_clocks {virt_clk}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -setup 0.060  
set_clock_uncertainty -rise_from [get_clocks {virt_clk}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -hold 0.090  
set_clock_uncertainty -rise_from [get_clocks {virt_clk}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -setup 0.060  
set_clock_uncertainty -rise_from [get_clocks {virt_clk}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -hold 0.090  
set_clock_uncertainty -fall_from [get_clocks {virt_clk}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -setup 0.060  
set_clock_uncertainty -fall_from [get_clocks {virt_clk}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -hold 0.090  
set_clock_uncertainty -fall_from [get_clocks {virt_clk}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -setup 0.060  
set_clock_uncertainty -fall_from [get_clocks {virt_clk}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -hold 0.090  
set_clock_uncertainty -rise_from [get_clocks {clk_50_max10}] -rise_to [get_clocks {clk_50_max10}]  0.020  
set_clock_uncertainty -rise_from [get_clocks {clk_50_max10}] -fall_to [get_clocks {clk_50_max10}]  0.020  
set_clock_uncertainty -rise_from [get_clocks {clk_50_max10}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -setup 0.080  
set_clock_uncertainty -rise_from [get_clocks {clk_50_max10}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -hold 0.110  
set_clock_uncertainty -rise_from [get_clocks {clk_50_max10}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -setup 0.080  
set_clock_uncertainty -rise_from [get_clocks {clk_50_max10}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -hold 0.110  
set_clock_uncertainty -rise_from [get_clocks {clk_50_max10}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -setup 0.080  
set_clock_uncertainty -rise_from [get_clocks {clk_50_max10}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -hold 0.110  
set_clock_uncertainty -rise_from [get_clocks {clk_50_max10}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -setup 0.080  
set_clock_uncertainty -rise_from [get_clocks {clk_50_max10}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -hold 0.110  
set_clock_uncertainty -fall_from [get_clocks {clk_50_max10}] -rise_to [get_clocks {clk_50_max10}]  0.020  
set_clock_uncertainty -fall_from [get_clocks {clk_50_max10}] -fall_to [get_clocks {clk_50_max10}]  0.020  
set_clock_uncertainty -fall_from [get_clocks {clk_50_max10}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -setup 0.080  
set_clock_uncertainty -fall_from [get_clocks {clk_50_max10}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -hold 0.110  
set_clock_uncertainty -fall_from [get_clocks {clk_50_max10}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -setup 0.080  
set_clock_uncertainty -fall_from [get_clocks {clk_50_max10}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -hold 0.110  
set_clock_uncertainty -fall_from [get_clocks {clk_50_max10}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -setup 0.080  
set_clock_uncertainty -fall_from [get_clocks {clk_50_max10}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -hold 0.110  
set_clock_uncertainty -fall_from [get_clocks {clk_50_max10}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -setup 0.080  
set_clock_uncertainty -fall_from [get_clocks {clk_50_max10}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -hold 0.110  
set_clock_uncertainty -rise_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -rise_to [get_clocks {clk_50_max10}] -setup 0.110  
set_clock_uncertainty -rise_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -rise_to [get_clocks {clk_50_max10}] -hold 0.080  
set_clock_uncertainty -rise_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -fall_to [get_clocks {clk_50_max10}] -setup 0.110  
set_clock_uncertainty -rise_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -fall_to [get_clocks {clk_50_max10}] -hold 0.080  
set_clock_uncertainty -rise_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}]  0.020  
set_clock_uncertainty -rise_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}]  0.020  
set_clock_uncertainty -rise_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}]  0.020  
set_clock_uncertainty -rise_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}]  0.020  
set_clock_uncertainty -fall_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -rise_to [get_clocks {clk_50_max10}] -setup 0.110  
set_clock_uncertainty -fall_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -rise_to [get_clocks {clk_50_max10}] -hold 0.080  
set_clock_uncertainty -fall_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -fall_to [get_clocks {clk_50_max10}] -setup 0.110  
set_clock_uncertainty -fall_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -fall_to [get_clocks {clk_50_max10}] -hold 0.080  
set_clock_uncertainty -fall_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}]  0.020  
set_clock_uncertainty -fall_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}]  0.020  
set_clock_uncertainty -fall_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}]  0.020  
set_clock_uncertainty -fall_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}]  0.020  
set_clock_uncertainty -rise_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}]  0.020  
set_clock_uncertainty -rise_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}]  0.020  
set_clock_uncertainty -rise_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}]  0.020  
set_clock_uncertainty -rise_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}]  0.020  
set_clock_uncertainty -fall_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}]  0.020  
set_clock_uncertainty -fall_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[1]}]  0.020  
set_clock_uncertainty -fall_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -rise_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}]  0.020  
set_clock_uncertainty -fall_from [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}] -fall_to [get_clocks {serdes_tx_x17_inst|serdes_tx_x17_inst|lvds_tx_pll|clk[0]}]  0.020  
set_clock_uncertainty -rise_from [get_clocks {altera_reserved_tck}] -rise_to [get_clocks {altera_reserved_tck}]  0.020  
set_clock_uncertainty -rise_from [get_clocks {altera_reserved_tck}] -fall_to [get_clocks {altera_reserved_tck}]  0.020  
set_clock_uncertainty -fall_from [get_clocks {altera_reserved_tck}] -rise_to [get_clocks {altera_reserved_tck}]  0.020  
set_clock_uncertainty -fall_from [get_clocks {altera_reserved_tck}] -fall_to [get_clocks {altera_reserved_tck}]  0.020  


#**************************************************************
# Set Input Delay
#**************************************************************

set_input_delay -add_delay  -clock [get_clocks {altera_reserved_tck}]  5.000 [get_ports {altera_reserved_tdi}]
set_input_delay -add_delay  -clock [get_clocks {altera_reserved_tck}]  5.000 [get_ports {altera_reserved_tms}]
set_input_delay -add_delay -max -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[0]}]
set_input_delay -add_delay -min -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[0]}]
set_input_delay -add_delay -max -clock_fall -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[0]}]
set_input_delay -add_delay -min -clock_fall -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[0]}]
set_input_delay -add_delay -max -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[1]}]
set_input_delay -add_delay -min -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[1]}]
set_input_delay -add_delay -max -clock_fall -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[1]}]
set_input_delay -add_delay -min -clock_fall -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[1]}]
set_input_delay -add_delay -max -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[2]}]
set_input_delay -add_delay -min -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[2]}]
set_input_delay -add_delay -max -clock_fall -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[2]}]
set_input_delay -add_delay -min -clock_fall -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[2]}]
set_input_delay -add_delay -max -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[3]}]
set_input_delay -add_delay -min -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[3]}]
set_input_delay -add_delay -max -clock_fall -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[3]}]
set_input_delay -add_delay -min -clock_fall -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[3]}]
set_input_delay -add_delay -max -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[4]}]
set_input_delay -add_delay -min -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[4]}]
set_input_delay -add_delay -max -clock_fall -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[4]}]
set_input_delay -add_delay -min -clock_fall -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[4]}]
set_input_delay -add_delay -max -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[5]}]
set_input_delay -add_delay -min -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[5]}]
set_input_delay -add_delay -max -clock_fall -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[5]}]
set_input_delay -add_delay -min -clock_fall -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[5]}]
set_input_delay -add_delay -max -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[6]}]
set_input_delay -add_delay -min -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[6]}]
set_input_delay -add_delay -max -clock_fall -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[6]}]
set_input_delay -add_delay -min -clock_fall -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[6]}]
set_input_delay -add_delay -max -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[7]}]
set_input_delay -add_delay -min -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[7]}]
set_input_delay -add_delay -max -clock_fall -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[7]}]
set_input_delay -add_delay -min -clock_fall -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[7]}]
set_input_delay -add_delay -max -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[8]}]
set_input_delay -add_delay -min -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[8]}]
set_input_delay -add_delay -max -clock_fall -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[8]}]
set_input_delay -add_delay -min -clock_fall -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[8]}]
set_input_delay -add_delay -max -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[9]}]
set_input_delay -add_delay -min -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[9]}]
set_input_delay -add_delay -max -clock_fall -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[9]}]
set_input_delay -add_delay -min -clock_fall -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[9]}]
set_input_delay -add_delay -max -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[10]}]
set_input_delay -add_delay -min -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[10]}]
set_input_delay -add_delay -max -clock_fall -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[10]}]
set_input_delay -add_delay -min -clock_fall -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[10]}]
set_input_delay -add_delay -max -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[11]}]
set_input_delay -add_delay -min -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[11]}]
set_input_delay -add_delay -max -clock_fall -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[11]}]
set_input_delay -add_delay -min -clock_fall -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[11]}]
set_input_delay -add_delay -max -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[12]}]
set_input_delay -add_delay -min -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[12]}]
set_input_delay -add_delay -max -clock_fall -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[12]}]
set_input_delay -add_delay -min -clock_fall -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[12]}]
set_input_delay -add_delay -max -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[13]}]
set_input_delay -add_delay -min -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[13]}]
set_input_delay -add_delay -max -clock_fall -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[13]}]
set_input_delay -add_delay -min -clock_fall -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[13]}]
set_input_delay -add_delay -max -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[14]}]
set_input_delay -add_delay -min -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[14]}]
set_input_delay -add_delay -max -clock_fall -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[14]}]
set_input_delay -add_delay -min -clock_fall -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[14]}]
set_input_delay -add_delay -max -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[15]}]
set_input_delay -add_delay -min -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[15]}]
set_input_delay -add_delay -max -clock_fall -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[15]}]
set_input_delay -add_delay -min -clock_fall -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[15]}]
set_input_delay -add_delay -max -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[16]}]
set_input_delay -add_delay -min -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[16]}]
set_input_delay -add_delay -max -clock_fall -clock [get_clocks {virt_clk}]  0.200 [get_ports {hsmc_rx_d_p[16]}]
set_input_delay -add_delay -min -clock_fall -clock [get_clocks {virt_clk}]  -0.200 [get_ports {hsmc_rx_d_p[16]}]


#**************************************************************
# Set Output Delay
#**************************************************************

set_output_delay -add_delay -fall -max -clock_fall -clock [get_clocks {altera_reserved_tck}]  5.000 [get_ports {altera_reserved_tdo}]


#**************************************************************
# Set Clock Groups
#**************************************************************

set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}] 
set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}] 
set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}] 


#**************************************************************
# Set False Path
#**************************************************************

set_false_path -from [get_registers {*altera_avalon_st_clock_crosser:*|in_data_buffer*}] -to [get_registers {*altera_avalon_st_clock_crosser:*|out_data_buffer*}]
set_false_path -to [get_keepers {*altera_std_synchronizer:*|din_s1}]
set_false_path -to [get_ports {fpga_resetn}]
set_false_path -from [get_ports {fpga_resetn}] 
set_false_path -from [get_ports {user_dipsw[*]}] 
set_false_path -from [get_ports {user_pb[*]}] 
set_false_path -to [get_ports {user_led[*]}]
set_false_path -from [get_keepers {xcvr_test_system:xcvr_test_system|xcvr_test_system_pio_0:pio_0|data_out[*]}] 
set_false_path -to [get_keepers {sld_signaltap:auto_signaltap_0|*}]
set_false_path -from [get_keepers {sld_signaltap:auto_signaltap_0|*}] 
set_false_path -from [get_keepers {xcvr_test_system:xcvr_test_system|xcvr_test_system_pio_2:pio_2|data_out}] -to [get_keepers {pb_align_1}]
set_false_path -from [get_keepers {*altera_avalon_data_pattern_checker:*|pattern_select*}] 
set_false_path -from [get_keepers {*altera_avalon_data_pattern_checker:*|clock_sensor*}] -to [get_keepers {*altera_avalon_data_pattern_checker:*|avs_readdata[1]*}]
set_false_path -from [get_keepers {*altera_avalon_data_pattern_checker:*|snap_handshake_clock_crosser:*|din*}] -to [get_keepers {*altera_avalon_data_pattern_checker:*|snap_handshake_clock_crosser:*|dout*}]
set_false_path -from [get_keepers {*altera_avalon_data_pattern_checker:*|snap_handshake_clock_crosser:*|dout*}] 
set_false_path -from [get_keepers {*altera_avalon_data_pattern_generator:*|pattern_select*}] 
set_false_path -from [get_keepers {*altera_avalon_data_pattern_generator:*|sync_character*}] 
set_false_path -from [get_keepers {*altera_avalon_data_pattern_generator:*|preamble_register*}] 
set_false_path -from [get_registers {*altera_jtag_src_crosser:*|sink_data_buffer*}] -to [get_registers {*altera_jtag_src_crosser:*|src_data*}]
set_false_path -to [get_pins -nocase -compatibility_mode {*|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain*|clrn}]


#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************

